Loading...
Searching...
No Matches
Ogre::TerrainGroup::RayResult Struct Reference

Result from a terrain ray intersection with the terrain group. More...

`#include <OgreTerrainGroup.h>`

## Public Member Functions

| RayResult (bool _hit, Terrain *_terrain, const Vector3 &_pos)

## Public Attributes

bool | hit
| Whether an intersection occurred.
Vector3 | position
| Position at which the intersection occurred.
Terrain * | terrain
| Which terrain instance was hit, if any.

## Detailed Description

Result from a terrain ray intersection with the terrain group.

## Constructor & Destructor Documentation

## RayResult()

Ogre::TerrainGroup::RayResult::RayResult | ( | bool | _hit,
|  | Terrain * | _terrain,
|  | const Vector3 & | _pos )

inline

References hit, position, and terrain.

## Member Data Documentation

## hit

bool Ogre::TerrainGroup::RayResult::hit

Whether an intersection occurred.

Referenced by RayResult().

## terrain

Terrain* Ogre::TerrainGroup::RayResult::terrain

Which terrain instance was hit, if any.

Referenced by RayResult().

## position

Vector3 Ogre::TerrainGroup::RayResult::position

Position at which the intersection occurred.

Referenced by RayResult().

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h